import type { DevToolsPage } from '../shared/frontend-helper.js';
import type { InspectedPage } from '../shared/target-helper.js';
export declare function waitForTheCoveragePanelToLoad(devToolsPage: DevToolsPage): Promise<void>;
export declare function navigateToCoverageTestSite(inspectedPage: InspectedPage): Promise<void>;
export declare function startInstrumentingCoverage(devToolsPage: DevToolsPage): Promise<void>;
export declare function stopInstrumentingCoverage(devToolsPage: DevToolsPage): Promise<void>;
export declare function clearCoverageContent(devToolsPage: DevToolsPage): Promise<void>;
export declare function getCoverageData(expectedCount: number, devToolsPage: DevToolsPage): Promise<{
    url: string | undefined;
    total: string | undefined;
    unused: string | undefined;
}[]>;
export declare function waitForCoverageData(expectedData: Array<{
    url: string;
    total: string;
    unused: string;
}>, devToolsPage: DevToolsPage): Promise<true>;
